Description

BoundsGroup bounds min & max have incorrect cardinality. This can be seen in the
following places:

NumericDomainType:

numericDomain/bounds/minimum & numericDomain/bounds/maximum currently have
incorrect cardinality - should be 0..1 instead of 0..infinity

DateTimeDomainType:

dateTimeDomain/bounds/minimum & dateTimeDomain/bounds/maximum currently have
incorrect cardinality - should be 0..1 instead of 0..infinity

History

#1 - 10/28/2003 12:36 PM - Matt Jones

Changed the content model to fix this problem. Now the model allows either
minimum, maximum, or both, as described in DTD syntax:

bounds (minimum | maximum | (minimum, maximum) )

This was done for both BoundsGroup (used in numeric domains) and BoundsDateGroup
(used in dateTime domains).

FIXED.

#2 - 10/30/2003 03:59 PM - Matt Jones

When running the tests | found that this content model is rejected. Maybe its
because it is not deterministic according to the xml spec? Need to fix this
model before releasing the 2.0.1 version.

#3 - 11/06/2003 12:24 PM - Matt Jones

Checked on the bounds model -- turns out that the model | proposed before is not
deterministic according to XML (without look ahead) and so is illegal. SO |
changed the bounds group to this model:

bounds (min?, max?)

So at least now they are not repeatable. Plus date bounds has a different type
now so that the documentation and type for the bounds field can differ from the
numeric bounds.

FIXED.

#4 - 03/27/2013 02:16 PM - Redmine Admin

Original Bugzilla ID was 1149
